Skip to main content

Admin Get Player Presence Id

GET 

/presence/v1/admin/player/id/:player_id/presence

Get the player's presence information. The status reflects the true value and is not modified before it is returned.

Request

Path Parameters

    player_id Player Idrequired

    A valid integer identifying a player. Rejects UUID player identification.

Responses

Successful Response

Schema

    status OnlineStatus (string)

    Possible values: [online, away, invisible, offline]

    An enumeration.

    message Message (string)

    Possible values: <= 256 characters

    Optional custom message to display alongside the user's online status

    platform Platform (string)required

    Platform the user was online in

    display_name Display Name (string)required

    Player Display Name

    custom_data

    object

    custom fields for the player to update about their presence

    property name* string
    player_id Player Id (integer)

    Player ID for the player if it was provided as part of the request

    player_uuid uuidrequired

    UUID of the player whose presence this represents

    do_not_disturb Do Not Disturb (boolean)

    Disables notifications and invites. Only set for self or admin.

    last_seen date-time

    Info about the player the last time they reported their status. Only set for self or admin

Loading...